View topic - QNX Momentics & g++

QNX Momentics & g++

anything that doesn't fit to other groups.

QNX Momentics & g++

Postby d1gger » Thu May 27, 2010 7:57 pm

Hi, I have project which compile without erros on console used compiler g++. When I would like build project under QNX Momentics I get erros because QNX M use qcc . It is possible change compiler in QNX Momentics on g++ ?
d1gger
New Member
 
Posts: 8
Joined: Thu May 27, 2010 7:52 pm

RE: QNX Momentics & g++

Postby mario » Thu May 27, 2010 8:58 pm

Not really. It should work qcc is just a front-end for g++. However by default qcc use dinkyum library and not glib, so maybe your code depends on some glibism ?
mario
QNX Master
 
Posts: 4132
Joined: Sun Sep 01, 2002 1:04 am

Postby Tim » Fri May 28, 2010 1:18 pm

There are also different versions of the compiler available depending on your QNX version (for example 2.95 and 3.3.5) and those versions of the compiler generate different errors.

Mario, I believe you can change to use g++ if you set the IDE project type to use Makefile's instead of being a pure IDE project.

Tim
Tim
Senior Member
 
Posts: 1466
Joined: Wed Mar 10, 2004 12:28 am


Return to General Programming

Who is online

Users browsing this forum: No registered users and 5 guests